<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varPro  = ($varForm["pcod"]<>"")?$varForm["pcod"]:"NULL";
	$varFec  = ($varForm["femi"]<>"")?"'".FechaMySql($varForm["femi"])."'":"NULL";
	$sql = "call spQuery_Logisitica_Inventario_Historico('$varForm[tipo]', $varForm[alm], $varFec, $varPro)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = $varForm["titu"];	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}
	
function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsInventarioHistorico($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}


$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {
		if (xajax.$("femi").value=="" && xajax.$("femi").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA");  
			xajax.$("femi").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));	
			}
		}
		
	function xExportarJS() {
		if (xajax.$("femi").value=="" && xajax.$("femi").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA");  
			xajax.$("femi").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	
	function xImprimirJS() {	
		var varTip = xajax.$("tipo").value;
		var varAlm = xajax.$("alm").value;
		var varPro = xajax.$("pcod").value;
		var varFec = xajax.$("femi").value;
		if (xajax.$("femi").value=="" && xajax.$("femi").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA");  
			xajax.$("femi").focus();
			return (false); 
			}
		else {
			var Ruta = 'print/print_inventario_historico.php?tip='+varTip+'&alm='+varAlm+'&pro='+varPro+'&fec='+varFec;
			testwindow= window.open (Ruta, "print_inventario_historico", "location=no,status=no,toolbar=no,scrollbars=1,width=800,height=600");
			}
		}

</script>
<?php
function MyTable($obj, $Titulo, $Opcion, $Valor, $TamFila) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>